package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * 用户检测
 *
 * @author : xufeng
 * @time : 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserCheckParam extends CommonParam {

    @ApiModelProperty("签名 sign=md5(gameId&userId&appKey)")
    @NotBlank(message = "签名不能为空")
    private String sign;
}
